/*
  Global CSS custom properties.
*/

@import "media-queries.pcss.css";

:root {
  /* Header */
  --site-header-height-wide: 120px;
  --site-header-height: 80px;
  --box-padding: 30px;

  --font-size-xl: 22px;
  --font-size-xxl: 24px;

  /* Border radius */
  --border-radius: 20px;

  --h4c-olive--box-shadow: 0px 40px 60px -10px rgba(0,0,0,0.12);
  --h4c-olive--box-shadow--header: var(--h4c-olive--box-shadow);
  --h4c-olive--page-bg-color: #f5f3ee;
  --font-sans: Lato, sans-serif;
  
  /* Colors 
   *
   * Use the `-rgb` variable to define opacity in place; while the regular variable uses opacity: 1
   *
   */
  --color--primary-rgb: 49, 77, 89;
  --color--primary: rgba(var(--color--primary-rgb),1);
  --color--primary-light: rgba(var(--color--primary-rgb),0.9);
  --color--primary-lighter: rgba(var(--color--primary-rgb),0.8);

  --color--secondary: rgb(255, 242, 76);
  --color--accent: rgb(76, 190, 76);

  /* Layout helpers. */
  --max-width: 1080px;
  --max-bg-color: 100%; /* Width to which the background color extends to. */
  --tab-active-border-size: 6px; /* Moved from tabs component css */

  --scale-effect: 1.05;

  --sp: 18px;
  --sp0-5: calc(0.5 * var(--sp));
}

